classification
Title: Unify (r)split(), (l/r)strip() method tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: martin.panter Nosy List: martin.panter, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-04-08 09:02 by martin.panter, last changed 2016-04-11 00:21 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
split-strip.patch martin.panter, 2016-04-08 09:02 review
split-strip.v2.patch martin.panter, 2016-04-09 02:56 review
Messages (5)
msg263011 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-04-08 09:02
This follows on from Issue 26257, where I moved tests for these string/bytes methods into a more common class. So this patch merges and removes some existing tests from test_bytes.py that cover the same ground. I copied a couple tests to the common class that tend to test negative and degenerate cases, which the original common tests were weak on.
msg263014 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-04-08 10:06
Added comments on Rietveld.
msg263057 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-04-09 02:56
Thanks for your comments Serhiy; here is an update
msg263069 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-04-09 05:19
LGTM. Thanks for this work Martin.
msg263127 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-10 10:28
New changeset 15cbeb389f17 by Martin Panter in branch '3.5':
Issue #26712: Unify (r)split, (l/r)strip tests into string_tests
https://hg.python.org/cpython/rev/15cbeb389f17

New changeset bb3cfca9c431 by Martin Panter in branch 'default':
Issue #26712: Merge string_tests cleanup from 3.5
https://hg.python.org/cpython/rev/bb3cfca9c431

New changeset 4dc347c5c8a8 by Martin Panter in branch '2.7':
Issue #26712: Unify (r)split(), (l/r)strip() tests into string_tests
https://hg.python.org/cpython/rev/4dc347c5c8a8
History
Date User Action Args
2016-04-11 00:21:35martin.pantersetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-04-10 10:28:12python-devsetnosy: + python-dev
messages: + msg263127
2016-04-09 05:19:33serhiy.storchakasetassignee: martin.panter
messages: + msg263069
stage: patch review -> commit review
2016-04-09 02:56:09martin.pantersetfiles: + split-strip.v2.patch

messages: + msg263057
2016-04-08 10:06:39serhiy.storchakasetmessages: + msg263014
2016-04-08 09:02:55martin.pantercreate